%global momorel 12
Summary: a diff front-end program using GTK+(GNOME).
Name: gtkdiff
Version: 1.8.0
Release: %{momorel}m
License: GPL
URL: http://home.catv.ne.jp/pp/ginoue/software/gtkdiff/
Group: Applications/Productivity
Source: http://home.catv.ne.jp/pp/ginoue/software/gtkdiff/%{name}-%{version}.tar.gz
Source1: gtkdiff.desktop
NoSource: 0
Patch0: gtkdiff-1.8.0-add-gtkdiff-svn.patch
Requires: gtk+1 >= 1.2.0, gnome-libs >= 1.0.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gnome-libs-devel
BuildRequires: desktop-file-utils

%description
gtkdiff is a diff front-end program using GTK+(GNOME).
Its features are following:
* It has two view modes, one-pane and two-panes.
* Supports directory diff.
* Easy navigation across differences.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

automake-1.4
autoconf-2.13

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make RPM_OPT_FLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}

make prefix=%{buildroot}%{_prefix} mandir=%{buildroot}%{_mandir} install
install -m 0644 gtkdiffrc %{buildroot}%{_datadir}/%{name}/

# install desktop file
rm -rf %{buildroot}%{_datadir}/gnome
desktop-file-install --vendor=  \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  --add-category Application \
  --add-category GNOME \
  %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/*
%dir %{_datadir}/gtkdiff
%config %{_datadir}/gtkdiff/*
%{_datadir}/locale/*/*/*
%{_datadir}/applications/*
%{_mandir}/man1/*

%changeLog
* Fri Dec  2 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.0-12m)
- update gtkdiff.desktop file

* Thu Dec  1 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.0-11m)
- add categories entry for GNOME menu

* Mon Jan 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.8.0-10m)
- added gtkdiff-svn

* Mon Nov 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.0-9m)
- kill %%prefix use %%_prefix
- use %%_datadir

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.0-8m)
- kill %%define version

* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.8.0-7m)
- change URL and source location

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- (1.8.0-6k)
- nigirisugi

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (1.8.0-4k)
- rebuild against gettext 0.10.40.

* Mon Apr  9 2001 Toru Hoshina <t@df-usa.com> 
- (1.8.0-2k)
